<div class="loginbg">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <!-- <div class="loginImg">
          <img src="./../../../../assets/img/bg.jpg" />
        </div> -->
        <div class="loginContainer">
          <div class="loginBox">
            <div class="card-body mt-2 mb-2 text-center">
              <img src="./assets/img/logo.png" alt="logo" />
            </div>
            <div class="text-center">
              <h2>Sign in</h2>
            </div>

            <div class="row">
              <div class="col">
                <h5 class="text-center mb-3">
                  Please log in to access your data
                </h5>
                <form
                  class="ng-untouched ng-pristine ng-valid"
                  [formGroup]="logindata"
                >
                  <div class="form-group text-left">
                    <label>Email<span class="text-danger">*</span></label>
                    <input
                      formControlName="email"
                      type="text"
                      class="form-control ng-untouched ng-pristine ng-valid"
                      [ngClass]="{
                        'is-invalid':
                          (f.email.touched || submitted) && f.email.errors
                      }"
                    />
                    <div
                      *ngIf="submitted && f.email.errors"
                      class="error-container"
                    >
                      <div *ngIf="f.email.errors.required">
                        <span class="text-danger">Email is required</span>
                      </div>
                      <div *ngIf="f.email.errors.pattern" class="error">
                        <span class="text-danger">Invalid email pattern</span>
                      </div>
                    </div>
                  </div>
                  <div class="form-group text-left">
                    <div class="password_field">
                      <label>Password<span class="text-danger">*</span></label>
                      <div class="password">
                        <input
                          formControlName="password"
                          [type]="fieldTextType ? 'text' : 'password'"
                          class="form-control ng-untouched ng-pristine ng-valid"
                          [ngClass]="{
                            'is-invalid':
                              (f.password.touched || submitted) &&
                              f.password.errors
                          }"
                        />
                        <div class="icon">
                          <i
                            id="togglePassword"
                            class="bi"
                            [ngClass]="{
                              'fas fa-eye': !fieldTextType,
                              'fa-solid fa-eye-slash': fieldTextType
                            }"
                            (click)="toggleFieldTextType()"
                          ></i>
                        </div>
                      </div>
                      <div
                        *ngIf="submitted && f.password.errors"
                        class="text-danger"
                      >
                        <div *ngIf="f.password.errors.required">
                          <span class="text-danger">Password is required</span>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <div class="row">
              <div class="col"></div>
              <div class="col">
                <div class="text-end mt-2 ml-0">
                  <div class="mb-5 pointer">
                    <a (click)="goback()">Forgot password?</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col">
                <button
                  type="button"
                  class="btn ripple btn-secondary btn-block"
                >
                  Cancel
                </button>
              </div>
              <div class="col text-end">
                <button
                  type="button"
                  class="btn ripple btn-primary btn-block"
                  (click)="onSubmit()"
                >
                  Sign In
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

